VULKAN_HPP_NAMESPACE::SparseImageFormatProperties Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SparseImageFormatProperties:
[legend]

## Public Member Functions

| operator VkSparseImageFormatProperties const & () const
| operator VkSparseImageFormatProperties & ()
bool | operator== (SparseImageFormatProperties const &rhs) const
bool | operator!= (SparseImageFormatProperties const &rhs) const

## Data Fields

ImageAspectFlags | aspectMask
Extent3D | imageGranularity
SparseImageFormatFlags | flags

## Detailed Description

Definition at line 25990 of file vulkan.hpp.

## Member Function Documentation

## operator VkSparseImageFormatProperties &()

VULKAN_HPP_NAMESPACE::SparseImageFormatProperties::operator VkSparseImageFormatProperties & | ( |  | ) |

inline

Definition at line 25997 of file vulkan.hpp.

{
return *reinterpret_cast<VkSparseImageFormatProperties*>(this);
}

## operator VkSparseImageFormatProperties const &()

VULKAN_HPP_NAMESPACE::SparseImageFormatProperties::operator VkSparseImageFormatProperties const & | ( |  | ) | const

inline

Definition at line 25992 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSparseImageFormatProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SparseImageFormatProperties::operator!= | ( | SparseImageFormatProperties const & | rhs | ) | const

inline

Definition at line 26009 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::SparseImageFormatProperties::operator== | ( | SparseImageFormatProperties const & | rhs | ) | const

inline

Definition at line 26002 of file vulkan.hpp.

{
return ( aspectMask == rhs.aspectMask )
&& ( imageGranularity == rhs.imageGranularity )
&& ( flags == rhs.flags );
}

References aspectMask, flags, and imageGranularity.

Referenced by operator!=().

## Field Documentation

## aspectMask

ImageAspectFlags VULKAN_HPP_NAMESPACE::SparseImageFormatProperties::aspectMask

Definition at line 26014 of file vulkan.hpp.

Referenced by operator==().

## flags

SparseImageFormatFlags VULKAN_HPP_NAMESPACE::SparseImageFormatProperties::flags

Definition at line 26016 of file vulkan.hpp.

Referenced by operator==().

## imageGranularity

Extent3D VULKAN_HPP_NAMESPACE::SparseImageFormatProperties::imageGranularity

Definition at line 26015 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SparseImageFormatProperties::aspectMask
ImageAspectFlags aspectMask
Definition: vulkan.hpp:26014
VkSparseImageFormatProperties
Definition: vulkan_core.h:2092
VULKAN_HPP_NAMESPACE::SparseImageFormatProperties::imageGranularity
Extent3D imageGranularity
Definition: vulkan.hpp:26015
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::SparseImageFormatProperties::operator==
bool operator==(SparseImageFormatProperties const &rhs) const
Definition: vulkan.hpp:26002